Skip to content
Start Trading

Update an IOI's notional, accepting the current NDA revision when required.

PATCH/v1/private-markets/iois/{ioi_id}

Update an IOI’s notional, accepting the current NDA revision when required.

Path ParametersExpand Collapse
ioi_id: string
Query ParametersExpand Collapse
account_id: number
Body ParametersJSONExpand Collapse
notional_amount: string
nda_acceptance: optional object { accepted, agreement_id, authority_confirmed }

Required when the SPV’s current NDA version is newer than the IOI’s latest acceptance. Irrelevant acceptances are rejected.

accepted: boolean

Must be true; confirms affirmative assent.

agreement_id: string

Exact agreement id returned by offering detail.

formatuuid
authority_confirmed: boolean

Must be true; confirms the signer may bind the account-holder entity.

ReturnsExpand Collapse
data: IoiListingResource { company, offering }

IOI list item with the campaign identity needed to render it.

company: IoiCompanyResource { id, name }

Company identity embedded in an IOI list item.

id: string
name: string
offering: IoiOfferingResource { id, headline }

Offering identity embedded in an IOI list item.

id: string
headline: string

Update an IOI's notional, accepting the current NDA revision when required.

curl https://api.clearstreet.com/v1/private-markets/iois/$IOI_ID \
    -X PATCH \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $API_KEY" \
    -d '{
          "notional_amount": "125000.00"
        }'
{
  "data": {
    "account_id": 19816,
    "company": {
      "id": "b2b3b4b5-c2c3-d2d3-e2e3-e4e5e6e7e8e9",
      "name": "Acme Robotics"
    },
    "created_at": "2026-05-30T02:37:10.709695Z",
    "currency": "USD",
    "id": "019dbae9-73b4-7760-a947-8b4bcab57c49",
    "notional_amount": "125000.00",
    "offering": {
      "headline": "Series D opportunity",
      "id": "a1a2a3a4-b1b2-c1c2-d1d2-d3d4d5d6d7d8"
    },
    "offering_id": "a1a2a3a4-b1b2-c1c2-d1d2-d3d4d5d6d7d8",
    "updated_at": "2026-05-30T03:12:44.001000Z"
  },
  "error": null,
  "metadata": {
    "request_id": "7c8d9e0f-1a2b-3c4d-5e6f-7a8b9c0d1e2f"
  }
}
Returns Examples
{
  "data": {
    "account_id": 19816,
    "company": {
      "id": "b2b3b4b5-c2c3-d2d3-e2e3-e4e5e6e7e8e9",
      "name": "Acme Robotics"
    },
    "created_at": "2026-05-30T02:37:10.709695Z",
    "currency": "USD",
    "id": "019dbae9-73b4-7760-a947-8b4bcab57c49",
    "notional_amount": "125000.00",
    "offering": {
      "headline": "Series D opportunity",
      "id": "a1a2a3a4-b1b2-c1c2-d1d2-d3d4d5d6d7d8"
    },
    "offering_id": "a1a2a3a4-b1b2-c1c2-d1d2-d3d4d5d6d7d8",
    "updated_at": "2026-05-30T03:12:44.001000Z"
  },
  "error": null,
  "metadata": {
    "request_id": "7c8d9e0f-1a2b-3c4d-5e6f-7a8b9c0d1e2f"
  }
}